/* CLOSE BUTTON */
.close-button{
  font-size:30px;

  position:relative;
  display:inline-block;
  width:1em;
  height:1em;
  margin-left: auto;
  color: black;
}
.close-button:hover{
  color: grey;
  cursor: pointer;
}
.close-button::before,
.close-button::after{
  content:"";
  position:absolute;
  top:50%; left:50%;
  width:0.8em; height:0.05em;
  background: currentColor;
}
.close-button.close-button-white::before,
.close-button.close-button-white::after{
  background:black;
}
.close-button::before{
  transform: translate(-50%, -50%) rotate(45deg);
}
.close-button::after{
  transform: translate(-50%, -50%) rotate(-45deg);
}

.close-button.is-thick::before,
.close-button.is-thick::after{
  height:0.1em;
}

.select2{
  width: 100% !important;
}

.card-header,
.card-footer{
  display: flex;
  align-items: center;
}
.card-buttons{
  margin-left: auto;
}
.card-header h5{
  margin: 0;
}
.card-header{
  display: flex !important;
}
.card-header .breadcrumb{
  padding: 0;
  margin: 0;
  margin-left: 15px;
  margin-top: 3px;
  background: none;
}

.modal{
  border: 1px solid rgba(0,0,0,.125)
}
.modal .card{
  border: 0;
}
.blurmaker{
  overflow: auto;
}
#login-form{
  width: 500px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 5px;
  background: white;
}

#login-kuadro{
  display: flex;
  align-items: center;
  justify-content: center;
}
#login-kuadro img{
  width: 200px;
}


#login #login-wrap{
  width: 900px;
}
#login .card-body{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}
.qr-code{
	position: relative;
	display: inline-block;
}
.qr-code canvas{
	display: block;
}
.qr-code-update{
	position: absolute;
	top:0; left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	background: rgba(255, 255, 255, 0.7);
	backdrop-filter: blur(2px);
}
.qr-code:not(.expired) .qr-code-update{
	display: none;
}

.qr-code a{
	position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
}



#form-pictures{
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
	gap: 10px;
}
.form-picture-footer{
	display: grid;
	grid-template-columns: 1fr max-content;
	gap: 10px;
	padding: 0px 5px;
}
.form-picture-footer > :first-child {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.function-el{
  position: relative;
}
.function-delete {
  position: absolute;
  width: auto;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
}
.hide-delete .function-delete{
  display: none;
}

.dragover{
  background-color: #000000;
}

#dropzone{
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(58, 91, 209, 0.397);
  border: 6px dashed rgb(25, 56, 168);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2em;
  color: rgb(25, 56, 168);
}

.qr-code-container{
  display: block;
}

/*     <div class="welcome-message">
        <h1>Espaço de Reserva de Salas</h1>
        <p>Bem-vindo, {{ $user->user_name }}</p>
    </div> */

.welcome-message{
  text-align: center;
  margin-top: 50px;
}
.welcome-message h1{
  font-size: 2em;
  margin: 0;
}
.welcome-message p{
  font-size: 1.2em;
  margin: 0;
}


/* on 600px qr-code-container gets hidden */
@media (max-width: 770px){
  .qr-code-container{
    display: none;
  }
  #login .card-body{
    grid-template-columns: 1fr;
  }
}
